--- title: "Get subject list" slug: "management-subaccount-getsubjectlist" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getsubjectlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subject list Available in Classic and VPC Get the subject list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/subjects | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchColumn` | String | Optional | Search column - `subjectId` \| `subjectNrn` - `subjectId`: subject ID - `subjectNrn`: NAVER Cloud Platform resource identification value for subject | | `searchWord` | String | Optional | Search keyword | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://externalaccess.apigw.ntruss.com/api/v1/subjects?page=0&size=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `totalElements` | Integer | - | Number of response results | | `pageSize` | Integer | - | Page output count | | `content` | Array | - | Subject list: [content](/docs/en/management-subaccount-getsubjectlist#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `subjectId` | String | - | Subject ID | | `subjectNrn` | String | - | NAVER Cloud Platform resource identification value for subject | | `x509Subject` | String | - | Certificate's X.509 subject identifier | | `enabled` | Boolean | - | Status - `true` \| `false` - `true`: enabled - `false`: disabled | | `createTime` | String | - | Creation date and time - ISO 8601 format | | `updateTime` | String | - | Last modification date and time - ISO 8601 format | | `lastSeenTime` | String | - | Last usage date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 0, "totalElements": 3, "pageSize": 20, "content": [ { "subjectId": "c2dea79b-****-****-****-c162618da17d", "subjectNrn": "nrn:PUB:ExternalAccess::******:Subject/c2dea79b-****-****-****-c162618da17d", "x509Subject": "CN=Real End cert simsiss, OU=IAM, O=Naver cloud, L=B, ST=A, C=KR", "enabled": true, "createTime": "2024-11-21T17:47:06.293+09:00", "updateTime": "2024-12-12T18:09:05.7+09:00", "lastSeenTime": "2024-12-12T18:09:05.699+09:00" }, { "subjectId": "c6c0bbdb-****-****-****-835d16999c7b", "subjectNrn": "nrn:PUB:ExternalAccess::******:Subject/c6c0bbdb-****-****-****-835d16999c7b", "x509Subject": "CN=End Cert simsiss, OU=IAM Service, O=NAVER Cloud Corp., L=Seongnam-si, ST=Gyeonggi-do, C=KR", "enabled": true, "createTime": "2024-10-17T19:38:35.591+09:00", "updateTime": "2024-10-18T10:22:00.547+09:00", "lastSeenTime": "2024-10-18T10:22:00.546+09:00" }, { "subjectId": "6812e8d3-****-****-****-85bab3480238", "subjectNrn": "nrn:PUB:ExternalAccess::******:Subject/6812e8d3-****-****-****-85bab3480238", "x509Subject": "CN=Mid - EndCert, OU=IAM Service, O=NAVER Cloud Corp., L=Seongnam-si, ST=Gyeonggi-do, C=KR", "enabled": true, "createTime": "2024-10-17T19:47:14.771+09:00", "updateTime": "2024-10-17T19:47:14.771+09:00", "lastSeenTime": "2024-10-17T19:47:14.739+09:00" } ] } ```